Name: mod_musicindex
Version: 0.99.4
Release: olea1
Copyright: GPL
Group: Networking
Source: libapache-mod-musicindex-%{version}.tar.gz
Source1: mod_musicindex-httpd.conf
Patch0: libapache-mod-musicindex-%{version}.patch
URL: http://www.parisc-linux.org/~varenet/musicindex/
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
Summary: A music indexer Apache 1 and 2 module
BuildRequires: libogg-devel, libid3tag, libvorbis-devel, libmad-devel, libid3tag-devel, flac-devel, apache-devel
Requires: apache, libid3tag, libmad, libogg, libvorbis, zlib
Packager: Ismael Olea <ismael@olea.org>

%changelog

* Mon Aug 30 2004 Ismael Olea <ismael@olea.org>
- built package

%description 
mod_musicindex is an Apache module aimed at being a C implementation of the
Perl module Apache::MP3. It allows nice displaying of directories containing
MP3 or Ogg Vorbis/FLAC files, including sorting them on various fields,
streaming/downloading them, constructing playlists, and searching.



%prep 
%setup -n libapache-mod-musicindex-%{version}
%patch0 -p1


%build
make 

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT/var/www/musicindex
mkdir -p  $RPM_BUILD_ROOT/usr/lib/apache/
mkdir -p  $RPM_BUILD_ROOT/etc/httpd/conf.d/

install -m 755 musicindex/* $RPM_BUILD_ROOT/var/www/musicindex/
install -m 755 mod_musicindex.so $RPM_BUILD_ROOT/usr/lib/apache/
install -m 644 %{SOURCE1}   $RPM_BUILD_ROOT/etc/httpd/conf.d/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README ChangeLog INSTALL LICENSE README.Solaris UPGRADING
/var/www/musicindex/
/usr/lib/apache/
/etc/httpd/conf.d/
